condivisi.vo

## Class DatiApplicativo

- java.lang.Object
- - condivisi.vo.DatiApplicativo

-     public class DatiApplicativo
      extends Object

  `DatiApplicativo` rappresenta le informazioni dell'applicativo operatore che accede ai servizi esposti.
  Author:
    Massimo DiCeglie - 21/07/2008

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private String` | `applDigest` Stringa di 28 caratteri ottenuta come trasformazione in base64 di (SHA-1(nonce+created+codiceapplicativo))
    `private String` | `created` Timestamp nel formato aaaa-mm-ggThh:mm:ssZ (es. 2009-08-16T12:07:00+0100)
    `private String` | `nome` Nome dell'applicativo
    `private String` | `nonce` Stringa casuale di 20 caratteri alfanumerici
    `private String` | `produttore` Produttore dell'applicativo
    `private String` | `versione` Versione dell'applicativo

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatiApplicativo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getApplDigest()`
    `String` | `getCreated()`
    `String` | `getNome()`
    `String` | `getNonce()`
    `String` | `getProduttore()`
    `String` | `getVersione()`
    `void` | `setApplDigest(String applDigest)`
    `void` | `setCreated(String created)`
    `void` | `setNome(String nome)`
    `void` | `setNonce(String nonce)`
    `void` | `setProduttore(String produttore)`
    `void` | `setVersione(String versione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nome

          private String nome

      Nome dell'applicativo

    - #### produttore

          private String produttore

      Produttore dell'applicativo

    - #### versione

          private String versione

      Versione dell'applicativo

    - #### nonce

          private String nonce

      Stringa casuale di 20 caratteri alfanumerici

    - #### created

          private String created

      Timestamp nel formato aaaa-mm-ggThh:mm:ssZ (es. 2009-08-16T12:07:00+0100)

    - #### applDigest

          private String applDigest

      Stringa di 28 caratteri ottenuta come trasformazione in base64 di (SHA-1(nonce+created+codiceapplicativo))

  - ### Constructor Detail

    - #### DatiApplicativo

          public DatiApplicativo()

  - ### Method Detail

    - #### getApplDigest

          public String getApplDigest()

    - #### setApplDigest

          public void setApplDigest(String applDigest)

    - #### getCreated

          public String getCreated()

    - #### setCreated

          public void setCreated(String created)

    - #### getNome

          public String getNome()

    - #### setNome

          public void setNome(String nome)

    - #### getNonce

          public String getNonce()

    - #### setNonce

          public void setNonce(String nonce)

    - #### getProduttore

          public String getProduttore()

    - #### setProduttore

          public void setProduttore(String produttore)

    - #### getVersione

          public String getVersione()

    - #### setVersione

          public void setVersione(String versione)